declare_plugin("Mig -19 by PEDRO shareCG",
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,
version		 = "3.0.0.0",		 
state		 = "installed",
info		 = _("The Mikoyan-Gurevich MiG-19 is a Soviet second-generation, single-seat, twin jet-engined fighter aircraft. It was the first Soviet production aircraft capable of supersonic speeds in level flight."),

binaries	= { 'F15', },  -- The DLL of the external flight model 

Skins	=
	{
		{
			name	= _("Mig -19"),
			dir		= "Theme"
		},
	},
Missions =
	{
		{
			name		    = _("Mig -19"),
			dir			    = "Missions",
			CLSID		= "{CLSID5456456346CLSID}",
  		},
	},
LogBook =
	{
		{
			name		= _("Mig -19"),
			type		= "Mig -19",
		},
	},	
InputProfiles =
	{
		["Mig -19"] = current_mod_path .. '/Input/Mig -19',
	},
})
---------------------------------------------------------------------------------------
make_flyable('Mig -19', current_mod_path..'/Cockpit/Scripts/',{nil, old = 54}, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/Mig -19.lua')
make_view_settings('Mig -19', ViewSettings, SnapViews)

plugin_done()-- finish declaration , clear temporal data
